# class RDoc::Markup::Verbatim

frozen_string_literal: false

A section of verbatim text

### Attributes

format[RW]

Format of this verbatim section

### Public Instance Methods

accept(visitor) click to toggle source

Calls accept_verbatim on `visitor`

    # File lib/rdoc/markup/verbatim.rb, line 25
    def accept visitor
      visitor.accept_verbatim self
    end

normalize() click to toggle source

Collapses 3+ newlines into two newlines

    # File lib/rdoc/markup/verbatim.rb, line 32
    def normalize
      parts = []

      newlines = 0

      @parts.each do |part|
        case part
        when /^\s*\n/ then
          newlines += 1
          parts << part if newlines == 1
        else
          newlines = 0
          parts << part
        end
      end

      parts.pop if parts.last =~ /\A\r?\n\z/

      @parts = parts
    end

ruby?() click to toggle source

Is this verbatim section Ruby code?

    # File lib/rdoc/markup/verbatim.rb, line 71
    def ruby?
      @format ||= nil # TODO for older ri data, switch the tree to marshal_dump
      @format == :ruby
    end

text() click to toggle source

The text of the section

    # File lib/rdoc/markup/verbatim.rb, line 79
    def text
      @parts.join
    end